@import "variables.less";

@detailsHeight: 40px;
@headerHeight: 100px;
@navHeight: 30px;
@phi: 1.618034;

/* ----------------------------------------- */
/*  All ACE Apps                           */
/* ----------------------------------------- */

.GDW {

  .window-content {
    background: @sheetBackground;
    font-size: 14px;
    .font-body-medium();
  }

  /* ----------------------------------------- */
  /*  Element Styles                           */
  /* ----------------------------------------- */

  /* Item Sheet form fields */
  input[type="text"],
  input[type="number"],
  select {
    /* height: calc(100% - 2px); */
    border: 1px solid @colorTan;
    background: rgba(0, 0, 0, 0.05);
    color: @colorDark;
    .font-heading-medium();
    padding: 2px 2px 0;
  }

  /* Hovered Fields */
  input[type="text"],
  input[type="number"],
  input[type="checkbox"] {

    &:hover,
    &:focus {
      border: 1px solid #111;
      box-shadow: 0 0 8px red;
    }
  }

  /* Disabled Fields */
  input:disabled,
  select:disabled,
  textarea:disabled {
    color: @colorOlive;
    border: 1px solid transparent !important;
    outline: none !important;

    &:hover,
    &:focus {
      box-shadow: none !important;
      border: 1px solid transparent !important;
      outline: none !important;
    }
  }

  /* Buttons */
  button {
    background: rgba(0, 0, 0, 0.10);
    border: @borderGroove;
    .font-heading-medium();
  }

  /* Form Groups */
  .form-group {
    label {
      /* flex: 3; */
      color: @colorOlive;
      font-weight: bold;
    }

    .form-fields {
      /* .flexrow(); */

      >* {
        margin: 0 3px 0 0;

        &:last-child {
          margin-right: 0;
        }
      }
    }
  }

  // Stacked Groups
  .form-group.stacked {
    >label {
      flex: 0 0 100%;
      margin: 0;
    }

    label.checkbox,
    label.radio {
      flex: auto;
      text-align: left;
    }
  }

  // Form Headers
  .form-header {
    margin: 0 0 0.25em 0;
    padding: 2px 0;
    border-top: @borderGroove;
    border-bottom: @borderGroove;
    .font-heading-bold();
  }

  /* Tags */
  .tag {
    display: inline-block;
    margin: 0 2px 0 0;
    padding: 0 3px;
    font-size: 10px;
    line-height: 16px;
    border: 1px solid #999;
    border-radius: @borderRadius;
    background: rgba(0, 0, 0, 0.05);
  }
}

/* ----------------------------------------- */
/*  Entity Sheets Specifically               */
/* ----------------------------------------- */

.GDW.sheet {

  /* ----------------------------------------- */
  /*  Sheet Header                             */
  /* ----------------------------------------- */

  .sheet-header {
    flex: 0 0 @headerHeight;
    border-bottom: @borderGroove;

    .header-details {
      .font-heading-medium();

      .summary select {
        .font-heading-medium();
        border: 0;
        font-weight: 100;
        height: 100%;
        text-transform: capitalize;
        width: 100%;
      }
    }

    /* Character Name */
    h1 {
      flex: 1;
      /* border-left: var(--border-groove); */
      border-bottom: none;
      height: 50px;
      margin: 0;
      padding: 5px 0;

      input {
        display: block;
        height: 40px;
        font-size: 32px;
        margin: 0;
        padding: 6px 0 0 6px;
        width: 100%;
      }
    }

    /* Profile Image */
    img.profile {
      background-color: @colorFaintFaint;
      flex: 0 0 @headerHeight;
      max-width: @headerHeight * @phi;
      height: @headerHeight;
      object-fit: contain;
      border: @borderGroove;
      margin: 2px;
      /* border-right: bbb var(--border-groove); */
    }

    /* Header Summary Details */
    .summary {
      // border-left: @borderGroove;
      border-top: @borderGroove;
      border-bottom: none;
      flex: 0 0 100%;
      height: @detailsHeight;
      list-style: none;
      margin: 0;
      padding: 0;

      li {
        color: @colorOlive;
        border-right: @borderGroove;
        float: left;
        height: calc(100% - 3px);
        line-height: 28px;
        margin: 1px 0 0 2px;

        &:last-child {
          border-right: none;
        }

        input[type="text"] {
          margin: 2px 2px;
          height: 32px;
        }
      }
    }
  }

  /* ----------------------------------------- */
  /*  Sheet Navigation                         */
  /* ----------------------------------------- */

  .sheet-navigation {
    flex: 0 0 @navHeight;
    margin-bottom: 5px;
    .font-heading-medium();
    font-variant-caps: small-caps;

    .item {
      height: 26px;
      line-height: 32px;
      margin: 0 24px;
      border-bottom: 3px solid @colorBeige;

      &.active {
        border-bottom: 3px solid @colorCrimson;
      }
    }
  }

  /* ----------------------------------------- */
  /*  Sheet Body                               */
  /* ----------------------------------------- */

  .sheet-body {
    flex: 1;
    overflow: hidden;
  }
}
